You are not logged in.

#26 2013-02-03 01:24:00

bslackr
Member
Registered: 2012-01-27
Posts: 131

Re: Aura - 1.3.5 *Please update to fix breakage*

That same thing is happening here, but aura -Sss python works. aura -Si python works here too.

Last edited by bslackr (2013-02-03 01:25:13)

Offline

#27 2013-02-04 00:16:53

JohnnyDeacon
Member
From: Colombia
Registered: 2012-01-18
Posts: 81

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

@JohnnyDeacon That shouldn't be happening... Does `-Si` work?

 ╒══[ /home/jairo ]══════╕
  └> aura -Si python
Repository     : extra
Name           : python
Version        : 3.3.0-3
URL            : http://www.python.org/
Licenses       : custom
Groups         : None
Provides       : python3
Depends On     : expat  bzip2  gdbm  openssl  libffi  zlib
Optional Deps  : tk: for tkinter
                 sqlite
Conflicts With : None
Replaces       : python3
Download Size  : 11651.32 KiB
Installed Size : 95818.00 KiB
Packager       : Andreas Radke <andyrtr@archlinux.org>
Architecture   : x86_64
Build Date     : Sat Dec 22 15:12:03 2012
MD5 Sum        : b691128819ca060219835f75811d657b
SHA256 Sum     : 14eb2483642b675947eee8dd25ac5677830da97f61f133091394583e7351eaec
Signatures     : Yes
Description    : Next generation of the python high-level scripting language

also aura -Sss python works like Aura -Ss python, but not in color with pacman-color installed

Last edited by JohnnyDeacon (2013-02-08 00:31:36)

Offline

#28 2013-02-08 12:20:16

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

JohnnyDeacon wrote:

also aura -Sss python works like Aura -Ss python, but not in color with pacman-color installed

Now where's that extra `-s` going... and why isn't it happening for me?

Last edited by fosskers (2013-02-08 12:20:37)


Author of Aura

Offline

#29 2013-02-08 19:51:51

JohnnyDeacon
Member
From: Colombia
Registered: 2012-01-18
Posts: 81

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:
JohnnyDeacon wrote:

also aura -Sss python works like Aura -Ss python, but not in color with pacman-color installed

Now where's that extra `-s` going... and why isn't it happening for me?

I don't Know, but I have to uninstall aura because corrupted all new KDE 4.10 downloaded packages.

I have to erase all database and download everything again. In fact the package used by aura 'haskell-regex-base' says that I need 'ghc 7' and I had both packages installed. All was messed up. I don't know if that was my fault. I only do 'aura -Syu' to upgrade everything

Offline

#30 2013-02-08 21:35:40

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

I'm sorry if aura has caused you problems.

1. ghc updates sometimes mess with haskell deps. This is a ghc problem.
2. Do you ever do `aura -Au` (or the better `-Akua`)? Your AUR packages need updating too.


Author of Aura

Offline

#31 2013-02-08 23:16:50

JohnnyDeacon
Member
From: Colombia
Registered: 2012-01-18
Posts: 81

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

I'm sorry if aura has caused you problems.

1. ghc updates sometimes mess with haskell deps. This is a ghc problem.
2. Do you ever do `aura -Au` (or the better `-Akua`)? Your AUR packages need updating too.


Yes, I usually do aura -Ayu for update the AUR packages. . . what does -Akua parameter do?

Last edited by JohnnyDeacon (2013-02-08 23:19:45)

Offline

#32 2013-02-09 04:53:02

beatgammit
Member
Registered: 2012-04-25
Posts: 18

Re: Aura - 1.3.5 *Please update to fix breakage*

First off, love aura. It makes me feel like I'm cheating on pacman smile

Anyway, I have a couple minor gripes:

1. aura -S --help doesn't work. I'd expect to get help on the -S command, just like with pacman. Same for other options.
2. aura -Ss blah says there's an error. pacman -Ss just gives empty output, which I prefer. Perhaps a matter of taste.

All in all, fantastic piece of software!!

Offline

#33 2013-02-11 01:56:41

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

1.1.3.0
-------
- Changed `--save` and `--restore` to `-B` and `-Br`.
  `--save` is now just an alias for `-B`, but `--restore`
  must be used with `-B`.
- New option `-Bc` for removing old unneeded package states.
- `-Br` output is now sorted better and makes more sense.
- Bash Parser can now properly parse `if` blocks, meaning packages
  that have conditional dependencies based on architecutre will now
  build properly.
- API Change: `Aura.General` is now `Aura.Core`
- Dep Change: `haskell-url` no longer needed.


Author of Aura

Offline

#34 2013-02-11 02:02:21

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

JohnnyDeacon wrote:

Yes, I usually do aura -Ayu for update the AUR packages. . . what does -Akua parameter do?

Adding `-k` shows you PKGBUILD differences when installing/upgrading. You see exactly what changed about the PKGBUILD since the last version, so if somebody ever threw in a `rm -rf /`, you'd see it without having to manually recheck with `-Ap`.
Adding `-a` removes unneeded make dependencies after building is done.

beatgammit wrote:

It is still blowing my mind that those `-Ss` errors are happening. I can't reproduce them with any combination of shell/terminal on my machine.
I'll extend the functionality of `--auradebug` to try and get to the bottom of this. Thanks for letting me know.


Author of Aura

Offline

#35 2013-02-11 08:26:53

vostok4
Member
Registered: 2010-12-16
Posts: 61

Re: Aura - 1.3.5 *Please update to fix breakage*

Question. Why not set ghc/haskell-* to makedepends, and add:

curl, gcc-libs, libssh2, openssl, pcre, zlib

To depends?

That will allow cleaner redistribution of the binary package without having to maintain our own version of the PKGBUILD. The haskell deps are all needed just for compiling.

Offline

#36 2013-02-11 10:14:45

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

@vostok4 Thanks for the input.
This comes up every once and a while. There are two main reasons why I keep them as deps:
1. Aura has frequent updates (usually once a week), and rebuilding / reinstalling the deps every time is a pain.
2. Haskell packages in the AUR tend to follow this pattern.

When you say cleaner redistribution, what do you mean? Are you redistributing an Aura binary somewhere else?
I've had talks with other users about the possibility of a separate AUR package that just contains a binary. Would you like something like this?


Author of Aura

Offline

#37 2013-02-11 14:15:47

BubuIIC
Member
Registered: 2013-01-18
Posts: 8

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

1.1.3.0
-------
...
- Dep Change: `haskell-url` no longer needed.

I've updated the wiki page with the new dependencies... hope I did everything right. (First wiki edit :-))
(Edit: The -B should probably be mentioned there as well)

Also I agree with beatgammit that 'aura -Ss something' should not give a syntax(?) error (it's saying "aura >>= Please check your input.") but rather an empty output or state there were no matches.

Last edited by BubuIIC (2013-02-11 14:22:57)

Offline

#38 2013-02-11 14:32:15

JohnnyDeacon
Member
From: Colombia
Registered: 2012-01-18
Posts: 81

Re: Aura - 1.3.5 *Please update to fix breakage*

Thanks for the update.

Seems that the problem persists. . .

  ╒══[ /home/jairo ]═══════╕
  └> aura -Ss kde
error: no argument for option -s
aura >>= Please check your input.

Offline

#39 2013-02-11 19:17:44

vostok4
Member
Registered: 2010-12-16
Posts: 61

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

@vostok4 Thanks for the input.
This comes up every once and a while. There are two main reasons why I keep them as deps:
1. Aura has frequent updates (usually once a week), and rebuilding / reinstalling the deps every time is a pain.
2. Haskell packages in the AUR tend to follow this pattern.

When you say cleaner redistribution, what do you mean? Are you redistributing an Aura binary somewhere else?
I've had talks with other users about the possibility of a separate AUR package that just contains a binary. Would you like something like this?

I maintain a repo for my own uses/packages, so that I don't spend a ton of time rebuilding stuff from the AUR on all machines (kind of a binhost from gentoo days). That's why the depends for me on my target machines (other than the repo) matter, especially when some of them require more building/installing. It's purely from a streamlining point of view smile

A binary AUR package would probably work just fine for me as well, but I don't want to put the onus of maintaining that on your shoulders.

Offline

#40 2013-02-11 21:08:13

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

vostok4 wrote:

A binary AUR package would probably work just fine for me as well, but I don't want to put the onus of maintaining that on your shoulders.

A lot of people seem to want it.


Author of Aura

Offline

#41 2013-02-12 08:38:05

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

@BubullC: Thank you! I always totally forget to update the Wiki. I'll see if I can make the failed `-Ss` message a bit clearer.

@JohnnyDeacon: I've extended the output of `--auradebug` to try and make it clear as to exactly what flags are being detected. If you would help me with figuring this problem out, I'd greatly appreciate it. I still can't reproduce the bug on my machine. You'll need the latest version though, which you can get by installing `aura-git` from the AUR.

Last edited by fosskers (2013-02-12 11:17:48)


Author of Aura

Offline

#42 2013-02-12 10:35:01

Spyhawk
Member
Registered: 2006-07-07
Posts: 411

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers> You might want to add an aura-git PKGBUILD in the AUR. That will make life easier for alpha-tester, and might give you more bug reports too smile

Offline

#43 2013-02-12 10:44:39

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

@Spyhawk: Aura is often not in a stable state between releases, which is why I hadn't made a git version of the package until now... but I guess testable unstability is the whole point of the git version, isn't it? Maybe I'll take a quick peek at pacaur-git's PKGBUILD...


Author of Aura

Offline

#44 2013-02-12 10:54:43

Spyhawk
Member
Registered: 2006-07-07
Posts: 411

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

but I guess testable unstability is the whole point of the git version, isn't it?

Yes, it is. This is also extremely useful to ask someone using the stable version to quickly confirm that a bug has been eradicated in the latest unstable version.

Offline

#45 2013-02-12 11:14:15

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

Just added the package. It seems to work.

Last edited by fosskers (2013-02-12 11:17:14)


Author of Aura

Offline

#46 2013-02-12 11:25:48

rg_arc
Member
From: Hattiesburg
Registered: 2011-03-20
Posts: 492
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

are there any added benefits for the git version compared to the other version?

Offline

#47 2013-02-12 11:27:42

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

Not really. In fact, unless you're bug testing, I'd advise against installing it.


Author of Aura

Offline

#48 2013-02-12 11:34:44

rg_arc
Member
From: Hattiesburg
Registered: 2011-03-20
Posts: 492
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

Also, the haskell dependencies, can we just delete them after installing aura? I think I saw something that mentioned the haskell dependencies.

Offline

#49 2013-02-12 11:51:06

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

Alright... I think I might just move all those haskell deps back to the makedepends field. I'm getting a lot of people asking why it isn't that way already.


Author of Aura

Offline

#50 2013-02-12 12:11:04

rg_arc
Member
From: Hattiesburg
Registered: 2011-03-20
Posts: 492
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

So if you do that and we delete the deps.. we will only need them whenever we want to upgrade aura?

Offline

Board footer

Powered by FluxBB